
using Godot;


namespace Rokojori
{  
  [GlobalClass ]
  public partial class SetNodeState : RJAction
  {
    [Export]
    public Node[] enable;

    [Export]
    public Node[] disable;


    public override void _OnTrigger()
    {
      Arrays.ForEach( enable,  n => NodeState.Enable( n ) );
      Arrays.ForEach( disable, n => NodeState.Disable( n ) );
    }
  }

}