using Godot;
using System.Collections;
using System.Collections.Generic;
using Godot.Collections;

namespace Rokojori
{
  [GlobalClass]
  public partial class CharacterControllerAction:RJAction
  {
    [Export]
    public CharacterController controller;

    public CharacterBody3D body => controller.body;

    public void SetVelocity( Vector3 velocity, bool replace )
    {
      if ( replace )
      {
        body.Velocity = velocity * controller.delta;
      }
      else
      {
        body.Velocity += velocity * controller.delta;
      }
    }



  }

}