using Godot;


namespace Rokojori
{  
  [GlobalClass, Tool ]
  public partial class LookAt : RJAction
  {
    [Export]
    public Node3D lookTarget;

    [Export]
    public Node3D lookFrom;

    public override void _Process( double delta )
    {
      _OnTrigger();
    }

    public override void _OnTrigger()
    {
      if ( lookFrom == null || lookTarget == null )
      {
        return;
      }
      
      lookFrom.LookAt( lookTarget.GlobalPosition );
    }
  }
}