
using Godot;


namespace Rokojori
{  
  [GlobalClass, Icon("res://addons/rokojori_action_library/Icons/RJOnEvent.svg") ]
  public partial class OnPhysicsProcess : Node
  {
    /** <summary for="field actions">Actions to execute</summary>*/
    [Export]
    public RJAction[] actions;

    /** <summary for="field triggerDirectChildren">Whether to execute RJAction child nodes</summary>*/
    [Export]    
    public bool triggerDirectChildren = true;

    public override void _PhysicsProcess( double delta )
    {     
      Actions.TriggerAll( actions, this, triggerDirectChildren );
    }
  }
}